Subject: bug#10035: Crash in check_x_frame in w32fns.c

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2011 14:27:54 +0200

> Date: Thu, 17 Nov 2011 05:56:25 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Juanma Barranquero <[email-masked]>
> > Date: Thu, 17 Nov 2011 00:13:56 +0100
> > Cc: [email-masked], [email-masked]
> > 
> > (require 'bs)
> > (global-set-key [s-f9] 'bs-cycle-previous)
> > (global-set-key [f9] 'bs-cycle-next)
> > --------------------------------------------------------------------------------
> > 
> > and from the src/ directory I run
> > 
> >   gdb -ex run --args ..\bin\emacs.exe -Q -l test.el blockinput.h
> > w32term.c w32inevt.c
> > 
> > then
> > 
> >   C-x 1   ; to remove the buffer list window
> >   <f9> <s-f9>    ; or <s-f9> <f9>
> 
> Reproduced, thanks.

I fixed the bug that caused this recipe to crash (revision 106411 on
the trunk).  I hope it also fixes the crashes experienced by
Christoph.

Note that the crash Juanma reported in

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10035#79

shows a call-stack that is different from the one produced by the
above recipe.  So I hope that, too, is fixed.